summaryrefslogtreecommitdiff
path: root/t/t3505-cherry-pick-empty.sh
diff options
context:
space:
mode:
authorGraydon, Tracy <tracy.graydon@intel.com>2013-01-31 17:08:15 -0800
committerGraydon, Tracy <tracy.graydon@intel.com>2013-01-31 17:08:15 -0800
commit699fc9f67a9a62df492d1cd049e4978953640de9 (patch)
treef0c16f1494bd71922e7bf5258037427cac4a350b /t/t3505-cherry-pick-empty.sh
downloadgit-2.0alpha.tar.gz
git-2.0alpha.tar.bz2
git-2.0alpha.zip
Diffstat (limited to 't/t3505-cherry-pick-empty.sh')
-rwxr-xr-xt/t3505-cherry-pick-empty.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/t/t3505-cherry-pick-empty.sh b/t/t3505-cherry-pick-empty.sh
new file mode 100755
index 0000000..e51e505
--- /dev/null
+++ b/t/t3505-cherry-pick-empty.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+test_description='test cherry-picking an empty commit'
+
+. ./test-lib.sh
+
+test_expect_success setup '
+
+ echo first > file1 &&
+ git add file1 &&
+ test_tick &&
+ git commit -m "first" &&
+
+ git checkout -b empty-branch &&
+ test_tick &&
+ git commit --allow-empty -m "empty"
+
+'
+
+test_expect_success 'cherry-pick an empty commit' '
+ git checkout master && {
+ git cherry-pick empty-branch
+ test "$?" = 1
+ }
+'
+
+test_expect_success 'index lockfile was removed' '
+
+ test ! -f .git/index.lock
+
+'
+
+test_done